<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<script>
    function  createNewUser() {
        const user = {
            firstNameHashedAfterMidnight : null,
            lastNameHashedAfterMidnight : null,
            getFirstName : function(){
                return this.firstNameHashedAfterMidnight;
            },
            setFirstName : function (newName){
                if (isNaN(newName)){
                    this.firstNameHashedAfterMidnight = newName;
                    return true;
                }
                else {
                    return false;
                }
            },

            getLastName : function(){
                return this.lastNameHashedAfterMidnight;
            },
            setLastName : function (newLastName){
                if (isNaN(newLastName)){
                    this.lastNameHashedAfterMidnight = newLastName;
                    return true;
                }
                else{
                    return false;
                }
            },
            getLogin : function(){
                return `${this.firstName[0]}${this.lastName}`.toLowerCase();
            }

        }
        return user;
    };

    const user = createNewUser();
    let newUserName = prompt("новое имя пользователя");
    let newUserLastName = prompt("новая фамилия пользователя")
    while (!user.setFirstName(newUserName)){
        newUserName = prompt("новое имя пользователя");
    };
    while (!user.setLastName(newUserLastName)){
        newUserLastName = prompt("новая фамилия пользователя");
    };
</script>
</body>
</html>